Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly
Class JellyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.jelly.JellyException

All Implemented Interfaces:
  java.io.Serializable, LocationAware

Direct Known Subclasses:
  JellyTagException

    public class JellyException

extends java.lang.Exception
implements LocationAware

`JellyException` is the root of all Jelly exceptions.

Version:
  $Revision: 155420 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`JellyException()`
`JellyException(java.lang.String message)`
`JellyException(java.lang.String reason, java.lang.String fileName, java.lang.String elementName, int columnNumber, int lineNumber)`
`JellyException(java.lang.String message, java.lang.Throwable cause)`
`JellyException(java.lang.String reason, java.lang.Throwable cause, java.lang.String fileName, java.lang.String elementName, int columnNumber, int lineNumber)`
`JellyException(java.lang.Throwable cause)`
`JellyException(java.lang.Throwable cause, java.lang.String fileName, java.lang.String elementName, int columnNumber, int lineNumber)`

Method Summary
`java.lang.Throwable` | `getCause()`
`int` | `getColumnNumber()`
`java.lang.String` | `getElementName()`
`java.lang.String` | `getFileName()`
`int` | `getLineNumber()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getReason()`
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream s)`
`void` | `printStackTrace(java.io.PrintWriter s)`
`void` | `setColumnNumber(int columnNumber)` Sets the column number of the tag
`void` | `setElementName(java.lang.String elementName)` Sets the element name which caused the problem
`void` | `setFileName(java.lang.String fileName)` Sets the Jelly file which caused the problem
`void` | `setLineNumber(int lineNumber)` Sets the line number of the tag

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JellyException

    public JellyException()

### JellyException

    public JellyException(java.lang.String message)

### JellyException

    public JellyException(java.lang.String message,
                          java.lang.Throwable cause)

### JellyException

    public JellyException(java.lang.Throwable cause)

### JellyException

    public JellyException(java.lang.Throwable cause,
                          java.lang.String fileName,
                          java.lang.String elementName,
                          int columnNumber,
                          int lineNumber)

### JellyException

    public JellyException(java.lang.String reason,
                          java.lang.Throwable cause,
                          java.lang.String fileName,
                          java.lang.String elementName,
                          int columnNumber,
                          int lineNumber)

### JellyException

    public JellyException(java.lang.String reason,
                          java.lang.String fileName,
                          java.lang.String elementName,
                          int columnNumber,
                          int lineNumber)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Overrides:
    `getCause` in class `java.lang.Throwable`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `LocationAware`
  Returns:
    the line number of the tag

### setLineNumber

    public void setLineNumber(int lineNumber)

  Sets the line number of the tag

  Specified by:
    `setLineNumber` in interface `LocationAware`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `LocationAware`
  Returns:
    the column number of the tag

### setColumnNumber

    public void setColumnNumber(int columnNumber)

  Sets the column number of the tag

  Specified by:
    `setColumnNumber` in interface `LocationAware`

### getFileName

    public java.lang.String getFileName()

  Specified by:
    `getFileName` in interface `LocationAware`
  Returns:
    the Jelly file which caused the problem

### setFileName

    public void setFileName(java.lang.String fileName)

  Sets the Jelly file which caused the problem

  Specified by:
    `setFileName` in interface `LocationAware`

### getElementName

    public java.lang.String getElementName()

  Specified by:
    `getElementName` in interface `LocationAware`
  Returns:
    the element name which caused the problem

### setElementName

    public void setElementName(java.lang.String elementName)

  Sets the element name which caused the problem

  Specified by:
    `setElementName` in interface `LocationAware`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getReason

    public java.lang.String getReason()

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.